Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.cardcontact.opencard.utils
Class CapFile

    java.lang.Object
      de.cardcontact.opencard.utils.CapFile

    public class CapFile

extends java.lang.Object

Field Summary
`static int` | `APPLET`
`static int[]` | `CAPSEQUENCE`
`static int[]` | `CAPSEQUENCE_JCOP`
`static int` | `CLASS`
`protected byte[][]` | `components`
`static java.lang.String[]` | `COMPONENTS`
`static int` | `CONSTANTPOOL`
`static int` | `DEBUG`
`static int` | `DESCRIPTOR`
`static int` | `DIRECTORY`
`static int` | `EXPORT`
`protected java.lang.String` | `filename`
`static int` | `HEADER`
`static int` | `IMPORT`
`static int` | `METHOD`
`static int` | `REFLOCATION`
`static int` | `STATICFIELD`

Constructor Summary
`CapFile(java.lang.String filename)`

Method Summary
`byte[]` | `getLoadFile(int[] caplist)`
`void` | `read()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER

    public static final int HEADER

See Also:
  Constant Field Values

### DIRECTORY

    public static final int DIRECTORY

See Also:
  Constant Field Values

### APPLET

    public static final int APPLET

See Also:
  Constant Field Values

### IMPORT

    public static final int IMPORT

See Also:
  Constant Field Values

### CONSTANTPOOL

    public static final int CONSTANTPOOL

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### METHOD

    public static final int METHOD

See Also:
  Constant Field Values

### STATICFIELD

    public static final int STATICFIELD

See Also:
  Constant Field Values

### REFLOCATION

    public static final int REFLOCATION

See Also:
  Constant Field Values

### EXPORT

    public static final int EXPORT

See Also:
  Constant Field Values

### DESCRIPTOR

    public static final int DESCRIPTOR

See Also:
  Constant Field Values

### DEBUG

    public static final int DEBUG

See Also:
  Constant Field Values

### COMPONENTS

    public static final java.lang.String[] COMPONENTS

### CAPSEQUENCE

    public static final int[] CAPSEQUENCE

### CAPSEQUENCE_JCOP

    public static final int[] CAPSEQUENCE_JCOP

### filename

    protected java.lang.String filename

### components

    protected byte[][] components

Constructor Detail

### CapFile

    public CapFile(java.lang.String filename)

Method Detail

### read

    public void read()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLoadFile

    public byte[] getLoadFile(int[] caplist)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD